Index: mount-0.0.2/Makefile
===================================================================
--- mount-0.0.2.orig/Makefile
+++ mount-0.0.2/Makefile
@@ -59,12 +59,12 @@ OBJS = $(subst .C,.o, $(shell ls *.C 2>/
 
 ### Targets:
 
-all: medialist libvdr-$(PLUGIN).so
+all: libvdr-$(PLUGIN).so
 
 medialist:
-	cd MediaList; make
+	$(MAKE) -C MediaList
 
-libvdr-$(PLUGIN).so: $(OBJS)
+libvdr-$(PLUGIN).so: $(OBJS) medialist
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -L MediaList/src -l MediaList -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
@@ -77,7 +77,7 @@ dist: clean
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
-	cd MediaList; make clean
+	$(MAKE) -C MediaList clean
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ *.d
 
 -include *.d
Index: mount-0.0.2/MediaList/Makefile
===================================================================
--- mount-0.0.2.orig/MediaList/Makefile
+++ mount-0.0.2/MediaList/Makefile
@@ -6,18 +6,18 @@ $(subst .cxx,, $(shell cd prog; ls *.cxx
 
 
 all: 
-	export MYLIBNAME=$(LIBNAME);cd src; make
-	export PROGS=$(PROGRAMMS);cd prog; make
-	export MYLIBNAME=$(LIBNAME);export PROGS=$(PROGRAMMS);cd bin; make
+	$(MAKE) -C src MYLIBNAME=$(LIBNAME)
+	$(MAKE) -C prog PROGS=$(PROGRAMMS)
+	$(MAKE) -C bin MYLIBNAME=$(LIBNAME) PROGS=$(PROGRAMMS)
 	
 depend:
 	@echo target depend is obsolete --- just make
 
 
 clean:
-	cd src; make clean
-	cd prog; make clean
-	export PROGS=$(PROGRAMMS);cd bin; make clean
+	$(MAKE) -C src clean
+	$(MAKE) -C prog clean
+	$(MAKE) -C bin clean PROGS=$(PROGRAMMS)
 	
 
 install:
